<bugID>598938<Summary>Add-on bar wastes horizontal screen real state</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.0; rv:2.0b7pre) Gecko/20100923 Firefox/4.0b7pre
Build Identifier: Mozilla/5.0 (Windows NT 6.0; rv:2.0b7pre) Gecko/20100923 Firefox/4.0b7pre

It should adjust "automagically" to the space needed by add-ons.

Reproducible: Always

Steps to Reproduce:
1. Click "View" &gt; "Toolbars" &gt; "Add-on Bar" with at least an add-on that shows an icon.
Actual Results:  
The add-on bar wastes horizontal screen real state.

Expected Results:  
It should adjust "automagically" to the space needed by add-ons.

Blocks bug 574688?</Description></bugID>